Bug 1306081 - quassel-0.12.3 is available
Summary: quassel-0.12.3 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: quassel
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christian Dersch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-02-10 00:27 UTC by Upstream Release Monitoring
Modified: 2016-02-21 02:21 UTC (History)
6 users (show)

Fixed In Version: quassel-0.12.3-1.fc23 quassel-0.12.3-1.fc22
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-02-17 03:51:13 UTC


Attachments (Terms of Use)
[patch] Update to 0.12.3 (#1306081) (1022 bytes, patch)
2016-02-10 00:28 UTC, Upstream Release Monitoring
no flags Details | Diff
Update to 0.13.1 (#1306081) (1.21 KB, patch)
2016-02-10 06:00 UTC, Ben Rosser
no flags Details | Diff
Update to 0.12.3 (#1306081) (1.46 KB, application/mbox)
2016-02-10 06:03 UTC, Ben Rosser
no flags Details

Description Upstream Release Monitoring 2016-02-10 00:27:35 UTC
Latest upstream release: 0.12.3
Current version/release in rawhide: 0.12.2-7.fc24
URL: http://quassel-irc.org/pub/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 1 Upstream Release Monitoring 2016-02-10 00:28:00 UTC
Created attachment 1122580 [details]
[patch] Update to 0.12.3 (#1306081)

Comment 2 Upstream Release Monitoring 2016-02-10 00:33:45 UTC
Scratch build failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12919066

Comment 3 Ben Rosser 2016-02-10 06:00:38 UTC
Created attachment 1122664 [details]
Update to 0.13.1 (#1306081)

Comment 4 Ben Rosser 2016-02-10 06:03:46 UTC
Created attachment 1122666 [details]
Update to 0.12.3 (#1306081)

Comment 5 Ben Rosser 2016-02-10 06:09:50 UTC
So, I fixed the build of 0.12.3; the backported CVE patch is no longer necessary. 

I assume we want to push this to F22 and F23, since it's just a bugfix release?

I'm going to go ahead and push this to Rawhide, I just wanted to leave a paper trail since I'm not the primary maintainer. :)

Comment 6 Rex Dieter 2016-02-10 06:11:48 UTC
Depends on what is fixed exactly in this new version, but since it does appear to be a purely bugfix release, so could be a good candidate for (f22/f23) updates.

Comment 7 Upstream Release Monitoring 2016-02-10 06:42:42 UTC
tc01's quassel-0.12.3-1.fc24 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=734615

Comment 8 Ben Rosser 2016-02-10 06:45:56 UTC
The changelog (from https://github.com/quassel/quassel/blob/0.12.3/ChangeLog) is:

* Fix activity filters when selecting buffers in custom ChatViews
* Fix default shortcuts when integrated with KDE Frameworks
* Introduce support for Appveyor CI (automated Windows builds)
* Support SnoreNotify 0.7
* Various cleanups and performance improvements
* Various build system fixes
* Channel keys are again remembered between syncs
* Support for Qt 5.5
* Network (re)connection fixes
* Fix possible message loss when running multiple core users on a psql database
* Command line option for specifying SSL certificates and keys
* Many smaller fixes

Comment 9 Christian Dersch 2016-02-10 08:03:48 UTC
Feel free to push updates to F22/23 too! Thank you very much :)

Comment 10 Fedora Update System 2016-02-10 16:34:31 UTC
quassel-0.12.3-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-9b681e21dd

Comment 11 Fedora Update System 2016-02-10 16:37:03 UTC
quassel-0.12.3-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-6b2f89b487

Comment 12 Fedora Update System 2016-02-11 14:52:35 UTC
quassel-0.12.3-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-9b681e21dd

Comment 13 Fedora Update System 2016-02-11 15:21:22 UTC
quassel-0.12.3-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-6b2f89b487

Comment 14 Fedora Update System 2016-02-17 03:51:11 UTC
quassel-0.12.3-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2016-02-21 02:21:21 UTC
quassel-0.12.3-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.